GoodMemGoodMem
ReferenceAPIREST APIGeneral

Delete a RetrieveMemory log policy

Idempotently tombstones an immutable RetrieveMemory log policy.

DELETE
/v1/admin/retrieve-memory-log-policies/{id}

Path Parameters

idstring

The UUID of the policy to delete

Optional tombstone reason.

reason?string | null

Optional tombstone reason.

Example"Replaced by narrower policy."

Response Body

curl -X DELETE "https://loading/v1/admin/retrieve-memory-log-policies/40000000-0000-4000-8000-000000000301" \  -H "Content-Type: application/json" \  -d '{}'
{
  "policyId": "40000000-0000-4000-8000-000000000301",
  "displayName": "Security audit policy",
  "description": "Capture security-sensitive retrievals.",
  "condition": {
    "matchAll": false,
    "anyOf": [
      {
        "spaceIds": [
          "30000000-0000-4000-8000-000000000301"
        ],
        "spaceLabelSelectors": {
          "env": "prod"
        }
      }
    ]
  },
  "activeFrom": 2219443200000,
  "activeUntil": 2219529600000,
  "labels": {
    "owner": "security",
    "env": "prod"
  },
  "currentlyActive": true,
  "deletedAt": 2219533200000,
  "deletedById": "10000000-0000-4000-8000-000000000301",
  "deleteReason": "Replaced by narrower policy.",
  "createdAt": 2219443200000,
  "updatedAt": 2219443200000,
  "createdById": "10000000-0000-4000-8000-000000000301",
  "updatedById": "10000000-0000-4000-8000-000000000301"
}
Empty
Empty
Empty
Empty